View Issue Details

IDProjectCategoryView StatusLast Update
0003387unrealinstallingpublic2008-02-12 05:49
ReporteralienAssigned ToWolfSage 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSOpenBSDOS Version 4.1 GENERIC#143
Product Version3.2.6 
Target VersionFixed in Version3.3-alpha0 
Summary0003387: make error - undefined reference to `tre_version'
Descriptionafter reading the Makefile it seems to be an issue with Config not adding the correct IRCDLIBS. after running ./Config, the IRCDLIBS line in the Makefile looked like this:-
IRCDLIBS= -lcares
Steps To ReproduceThis happened every attempt
Additional InformationI have been to your irc room and got information to resolve this error, after i ./Config, i have to go to the Makefile and make the IRCDLIBS line look like this:-
IRCDLIBS= -lcares -L/home/zoid/Unreal3.2/extras/regexp/lib -ltre

After that there were no other issues found
TagsNo tags attached.
3rd party modules

Activities

WolfSage

2007-06-12 12:23

reporter   ~0014339

I'll be testing this tonight probably.

WolfSage

2007-06-12 19:06

reporter   ~0014353

Last edited: 2007-06-12 19:10

Problem found:

This has to do with older versions of pkg-config (<.20) trying to append .pc to tre.pc. And if .pc is removed, no matter what, pkg-config prefers to use data from an installed lib over ours. Setting the search path didn't make it function any better.

Current versions do not suffer this problem.

I've found a simple workaround, but it's hardly a solution, which is to copy the tre.pc file to tre.pc.pc, and version .19 will see it. If this is acceptable, then so be it.

One other option is to fail if pkg-config is < .20 just as if pkg-config wasn't installed, and use the "../extras/regexp/lib -ltre" line instead.

Any ideas would be great....

Stealth

2007-06-12 20:23

reporter   ~0014354

Seems throwing an error on everything older than .20 doesn't seem like a great workaround. There are many systems that run older versions.

WolfSage

2007-06-13 08:03

reporter   ~0014358

if test "x$ac_cv_path_PKGCONFIG" = "x" ; then
        TRELIBS="-L../extras/regexp/lib -ltre"
else
        TRELIBS=`$ac_cv_path_PKGCONFIG --libs tre.pc`
fi

We can do another check here and if ac_cv_path_PKGCONFIG is older than .20, we'll just use the TRELIBS="-L../extras/regex/lib -ltre". Or we do:

if test "x$ac_cv_path_PKGCONFIG" = "x" ; then
        TRELIBS="-L../extras/regexp/lib -ltre"
else
        cp tre.pc tre.pc.pc
        TRELIBS=`$ac_cv_path_PKGCONFIG --libs tre.pc`
        rm tre.pc.pc
fi

WolfSage

2008-02-12 03:05

reporter   ~0015116

Fixed in .260. Removed dependence on pgk-config. Relative paths work well enough.

Issue History

Date Modified Username Field Change
2007-06-12 10:10 alien New Issue
2007-06-12 12:23 WolfSage Note Added: 0014339
2007-06-12 19:06 WolfSage Note Added: 0014353
2007-06-12 19:09 WolfSage Note Edited: 0014353
2007-06-12 19:10 WolfSage Note Edited: 0014353
2007-06-12 20:23 Stealth Note Added: 0014354
2007-06-13 08:03 WolfSage Note Added: 0014358
2007-06-17 13:27 stskeeps Status new => acknowledged
2008-02-12 03:05 WolfSage QA => Not touched yet by developer
2008-02-12 03:05 WolfSage U4: Need for upstream patch => No need for upstream InspIRCd patch
2008-02-12 03:05 WolfSage U4: Upstream notification of bug => Not decided
2008-02-12 03:05 WolfSage U4: Contributor working on this => None
2008-02-12 03:05 WolfSage Note Added: 0015116
2008-02-12 03:05 WolfSage Status acknowledged => resolved
2008-02-12 03:05 WolfSage Resolution open => fixed
2008-02-12 03:05 WolfSage Fixed in Version => 3.3-alpha0
2008-02-12 05:49 nate Status resolved => assigned
2008-02-12 05:49 nate Assigned To => WolfSage
2008-02-12 05:49 nate QA Not touched yet by developer => No need for QA
2008-02-12 05:49 nate Status assigned => resolved